# Company

## About Fleet

Fleet Device Management Inc is an open core company that sells subscriptions that offer more features and support for Fleet and [osquery](https://osquery.io), the leading open source endpoint agent.

We are dedicated to:
- 💍 growing the adoption of osquery (one agent to rule them all)
- 👁️ remaining the freshest, simplest source of truth for every kind of device and OS
- 🧑‍🚀 making IT developer-friendly
- 🪟 open source, as a more private, transparent, and trustworthy future for humanity
- 💻 building a better way to manage computers


## History

### 2014: Origins of osquery
In 2014, our CTO Zach Wasserman, together with [Mike Arpaia](https://twitter.com/mikearpaia/status/1357455391588839424) and the rest of their team at Facebook, created an open source project called [osquery](https://osquery.io).

### 2016: Origins of Fleet v1.0
A few years later, Zach, Mike Arpaia, and [Jason Meller](https://honest.security) founded [Kolide](https://kolide.com) and created Fleet: an open source platform that made it easier and more productive to use osquery in an enterprise setting.

### 2019: The growing community
When Kolide's attention shifted away from Fleet and towards their separate, user-focused SaaS offering, the Fleet community took over maintenance of the open source project. After his time at Kolide, Zach continued as lead maintainer of Fleet.  He spent 2019 consulting and working with the growing open source community to support and extend the capabilities of the Fleet platform.

### 2020: Fleet was incorporated
Zach partnered with our CEO, Mike McNeil, to found a new, independent company: Fleet Device Management Inc.  In November 2020, we [announced](https://medium.com/fleetdm/a-new-fleet-d4096c7de978) the transition and kicked off the logistics of moving the GitHub repository.


## Values

### 允 Openness

The majority of the code, documentation, and content we create at Fleet is public and source-available, and we strive to be broadly open and transparent in the way we run the business; as much as confidentiality agreements (and time) allow. We perform better with an audience, and our audience performs better with us.

- be transparent
- candor (faster, better decisions)
- speak up (don't be afraid to ask questions, be direct, and interrupt)
- [open source is forever](https://twitter.com/mikermcneil/status/1476799587423772674)
- "public by default"
- declassify with care
- prioritize accessible terminology and simple explanations to provide value to the largest possible audience of users
- anyone can contribute
- open source stewardship: the majority of the features Fleet releases will be free, [etc](https://fleetdm.com/pricing)
- hospitality
  - "be a helper"   -mr rogers
  - think and say [positive things](https://www.theatlantic.com/family/archive/2018/06/mr-rogers-neighborhood-talking-to-kids/562352/)
  - be customer-first
    - but apply customer service principles to all users, even if they never buy Fleet
  - be outsider-friendly (inclusive)
  - approachable
  - talking with users and contributors is time well spent
  - embrace the excitement of others (it's contagious)
  - make small talk at the beginning of meetings
  - be our guest
- believe in everyone
- legendary hospitality

### 情け Empathy
- consider your counterpart
- assume positive intent
- role play as a user, contributor, or colleague
- be punctual
- end meetings on time
- bugs cause frustrating experiences and alienate users
- confusing error messages make people feel helpless, and can fill them with despair
  - error messages deserve to be good (it's worth it to spend time on them)
  - UI help text and labels deserve to be good (it's worth it to spend time on them)
- contributor experience (but quality and commitments first)
- developers are users too (REST API, fleetctl, docs)
- design by consumer (closeness to the work)
- use fewer words (lots of text == lots of work)
- prioritize simplicity: people crave mental space (in design, in collaboration)
- cognitive unload (via clarity, fewer and smaller words, fewer acronyms and idioms that might not translate)
- but think fast, because i.e. "I would have written a shorter letter, but I did not have the time." -Blaise Pascal
- legendary digital/human experience

### 任 Ownership
- take responsibility
- follow through on commitments (actions match your words)
- prioritize honesty and kindness
- think like an owner
- be efficient
- be valuable (consider business impact)
- work on things that matter
  - fast forward 12 months, consider total cost of ownership (the eternity of maintenance)
  - understand why, or tell me why I'm wrong
  - agree, or disagree and commit anyway
- make time for self-care (to help you bring your best self when communicating with others, making decisions, etc)
   - consider taking a break and going for a walk
   - think about how to best organize your day/work hours to fit your life while maximizing value for the company
- help unblock users, customers, and other contributors (including colleagues)
- help team members and contributors get all the way done, delivered all the way to completion
- we win or lose together (it's worth it to help team members and contributors)
- less is more
  - "boring solutions"
  - prefer short calls to long, asynchronous back and forth discussions in Slack
  - avoid bikeshedding
  - bite off what you can chew
  - finish what you start, or at least throw it away loudly in case someone wants it
  - focus on fewer tasks at one time
- legendary execution

### 出来 Think, fast

Between overthinking and rushing, there is a [golden mean](https://en.wikipedia.org/wiki/Golden_mean_%28philosophy%29).

- think for yourself (only you can)
- from first principles
- use reason
  - believe in your brain's capacity to evaluate a solution or idea, regardless of how popular it is
- take your own ideas seriously (great ideas come from everyone, write them out and see if they have merit)
- take your own results seriously
  - on a hero's journey
  - you are capable of epic results
  - even boring tasks are more motivating, fun, and effective when you care
  - motivate yourself intrinsically with self-talk
  - understand "why?"
- be crafty
- take pride in your results
  - reread anything you write for users
  - you don't need permission to be thoughtful
  - every real-world edge case deserves handling (be thorough)
- BUT balance thoughtfulness and planning, with moving quickly:
- "everything is in draft"
- pick low-hanging fruit (deliver value quickly where you can)
- avoid gold-plating
- aim to deliver daily
- move quicker than 90% of the humans you know
- iterate by taking baby steps
- legendary results


### 真 Objectivity
- be wrong
- show your work
- be realistic (practical about your limits and what's possible with the time and resources we have)
- speak computer to computers (assume it's your fault)
- question yourself (why do I think this?)
- use the scientific method when something isn't working
  - when something isn't working, don't make assumptions
- listen intently, and genuinely try to understand
- facts, over commentary
- ask great questions & take the time to truly listen
- "strong opinions, loosely held"
- prioritize truth (reality)
- beware sunk cost fallacy (avoid getting attached to something just because you invested time working on it, or came up with it)
- be curious
- legendary rigour




## Culture

### All remote
Fleet Device Management Inc. is an all-remote company, with team members spread across 4 continents and 7 time zones.  The wider team of contributors from [all over the world](https://github.com/fleetdm/fleet/graphs/contributors) submit patches, bug reports, troubleshooting tips, improvements, and real-world insights to Fleet's open source code base, documentation, website, and company handbook.




<meta name="maintainedBy" value="mikermcneil">
